Subject: Re: [Sip] Register Method

From: "xiao'tong liang" <[email-masked]>
Date: Tue, 7 Oct 2003 20:04:39 -0700 (PDT)

1. Yes, an address-of-record can be registered by
   many entities. So, these entities belong to 
   one logical user.(Imagine one user have Mobile
   UA, PC soft UA, and a Cisco 7960 phone:-)
2. Because of all these bindings belong to same 
   logic user(same address-of-record), UA can
   add/delete the records(belongs to same AOR) which
   is not created by itself(eg. Mobile can delete
   or modify PC's bindings).
3. "What cause the Call-ID different?": The UA
   MAY be rebooted, or MAY be one UA can register
   several Contacts(I have not seen such equipment
   yet:).

--
Liang xiaotong

--- wudeqiang <[email-masked]> wrote:
> I have a question  about Register request.
> rfc3261 says  "one entity may be responsible for
> updating the registrations associated with multiple
> addresses-of-record"(in 10.3 Processing REGISTER
> Requests).
> I want to know whether an address-of-record can be
> registered by many entities.If this is true,why an
> entity can update or delete a binding which is not
> created by itself.
> In 10.3 Processing REGISTER Request ,rules7
> "If the Call-ID value in the existing binding
> differs from the Call-ID value in the request, the
> binding MUST be removed if the expiration time is
> zero and updated otherwise. " What cause the Call-ID
> different?
> Does this mean different entity can register a
> address-of-record?
> 
> thanx !

__________________________________
Do you Yahoo!?
The New Yahoo! Shopping - with improved product search
http://shopping.yahoo.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip